Bug 182803 - net/x2goclient: Update to version 4.0.1.1
Summary: net/x2goclient: Update to version 4.0.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 19:10 UTC by tkato432
Modified: 2013-10-11 18:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.65 KB, patch)
2013-10-07 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-10-07 19:10:02 UTC
- Update to version 4.0.1.1
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-10-09 15:17:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2013-10-11 18:26:47 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-10-11 18:26:48 UTC
Author: danilo
Date: Fri Oct 11 17:26:40 2013
New Revision: 330091
URL: http://svnweb.freebsd.org/changeset/ports/330091

Log:
  - Update from 4.0.1.0 to 4.0.1.1 [1]
  - Add stage support [1]
  - Convert LIB_DEPENDS to new syntax
  
  PR:		ports/182803
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com> [1]
  Approved by:	wg/culot (mentors, implicit)

Modified:
  head/net/x2goclient/Makefile
  head/net/x2goclient/distinfo
  head/net/x2goclient/pkg-plist

Modified: head/net/x2goclient/Makefile
==============================================================================
--- head/net/x2goclient/Makefile	Fri Oct 11 16:38:37 2013	(r330090)
+++ head/net/x2goclient/Makefile	Fri Oct 11 17:26:40 2013	(r330091)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	x2goclient
-PORTVERSION=	4.0.1.0
+PORTVERSION=	4.0.1.1
 CATEGORIES=	net
 MASTER_SITES=	http://code.x2go.org/releases/source/x2goclient/
 
@@ -11,8 +11,8 @@ COMMENT=	Qt client for the X2Go system
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	cups:${PORTSDIR}/print/cups-client \
-		ssh:${PORTSDIR}/security/libssh
+LIB_DEPENDS=	libcups.so:${PORTSDIR}/print/cups-client \
+		libssh.so:${PORTSDIR}/security/libssh
 RUN_DEPENDS=	nxproxy:${PORTSDIR}/net/nxproxy \
 		x2goclient-cli:${PORTSDIR}/net/x2goclient-cli
 
@@ -25,9 +25,6 @@ USE_QT4=	gui network svg \
 QMAKEFLAGS=	QMAKE_LRELEASE="${QT_PREFIX}/bin/lrelease-qt4"
 INSTALLS_ICONS=	yes
 
-MAN1=		x2goclient.1
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MLDAP}
@@ -46,30 +43,33 @@ post-patch:
 		 /#define USELDAP/s|^|//|'
 
 do-configure:
-	@cd ${WRKSRC}; ${SETENV} ${CONFIGURE_ENV} ${QMAKE} ${QMAKEFLAGS}
+	@(cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} ${QMAKE} ${QMAKEFLAGS})
 
 pre-build:
-	@cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} \
-		${MAKEFILE} compiler_TSQM_make_all
+	@(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} ${MAKE_FLAGS} \
+		${MAKEFILE} compiler_TSQM_make_all)
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/x2goclient ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/man/man1/x2goclient.1 ${MANPREFIX}/man/man1
-	@${MKDIR} ${DESKTOPDIR}
-	${INSTALL_DATA} ${WRKSRC}/desktop/x2goclient.desktop \
-		${DESKTOPDIR}
-.for dir in 16x16 32x32 48x48 64x64 128x128
-	@${MKDIR} ${PREFIX}/share/icons/hicolor/${dir}/apps
-	${INSTALL_DATA} ${WRKSRC}/icons/${dir}/x2goclient.png \
-		${PREFIX}/share/icons/hicolor/${dir}/apps
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} x2goclient \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC}/man/man1 && ${INSTALL_MAN} x2goclient.1 \
+		${STAGEDIR}${MANPREFIX}/man/man1)
+	@${MKDIR} ${STAGEDIR}${DESKTOPDIR}
+	(cd ${WRKSRC}/desktop && ${INSTALL_DATA} x2goclient.desktop \
+		${STAGEDIR}${DESKTOPDIR})
+.for i in 16x16 32x32 48x48 64x64 128x128
+	@${MKDIR} ${STAGEDIR}${PREFIX}/share/icons/hicolor/${i}/apps
+	(cd ${WRKSRC}/icons/${i} && ${INSTALL_DATA} x2goclient.png \
+		${STAGEDIR}${PREFIX}/share/icons/hicolor/${i}/apps)
 .endfor
-	@${MKDIR} ${DATADIR}/icons
-	${INSTALL_DATA} ${WRKSRC}/icons/x2goclient.xpm ${DATADIR}/icons
-	${INSTALL_DATA} ${WRKSRC}/icons/128x128/x2goclient.png ${DATADIR}/icons
-	${INSTALL_DATA} ${WRKSRC}/icons/128x128/x2gosession.png ${DATADIR}/icons
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/HOWTO.GPGCARD ${DOCSDIR}
-.endif
+	@${MKDIR} ${STAGEDIR}${DATADIR}/icons
+	(cd ${WRKSRC}/icons && ${INSTALL_DATA} x2goclient.xpm \
+		${STAGEDIR}${DATADIR}/icons)
+.for i in x2goclient.png x2gosession.png 
+	(cd ${WRKSRC}/icons/128x128 && ${INSTALL_DATA} ${i} \
+		${STAGEDIR}${DATADIR}/icons)
+.endfor
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} HOWTO.GPGCARD ${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>

Modified: head/net/x2goclient/distinfo
==============================================================================
--- head/net/x2goclient/distinfo	Fri Oct 11 16:38:37 2013	(r330090)
+++ head/net/x2goclient/distinfo	Fri Oct 11 17:26:40 2013	(r330091)
@@ -1,2 +1,2 @@
-SHA256 (x2goclient-4.0.1.0.tar.gz) = 3c72760f901ef6801529b9b5d8c3333002a53c65bdaeb9832f80d65f44665ed6
-SIZE (x2goclient-4.0.1.0.tar.gz) = 1323833
+SHA256 (x2goclient-4.0.1.1.tar.gz) = dd3877f8830d6085241c60becbd79608a8b2155f941bac258cc5e2079f818be9
+SIZE (x2goclient-4.0.1.1.tar.gz) = 1345719

Modified: head/net/x2goclient/pkg-plist
==============================================================================
--- head/net/x2goclient/pkg-plist	Fri Oct 11 16:38:37 2013	(r330090)
+++ head/net/x2goclient/pkg-plist	Fri Oct 11 17:26:40 2013	(r330091)
@@ -1,4 +1,5 @@
 bin/x2goclient
+man/man1/x2goclient.1.gz
 share/applications/x2goclient.desktop
 %%PORTDOCS%%%%DOCSDIR%%/HOWTO.GPGCARD
 share/icons/hicolor/128x128/apps/x2goclient.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"